Name:          hostname
Version:       3.23
Release:       %mkrel 5
Summary:       Utility to set/show the host name or domain name
License:       GPLv2+
Group:         System/Networking
URL:           https://packages.qa.debian.org/h/hostname.html
Source0:       https://ftp.debian.org/debian/pool/main/h/hostname/hostname_%{version}.tar.gz
Source1:       https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Source2:       nis-domainname
Source3:       nis-domainname.service
BuildRequires: gcc
BuildRequires: systemd

# NOTE: We are *not* requiring systemd on purpose, because we want to allow
#       hostname package to be installed in containers without the systemd.

# Initial changes
Patch1:        hostname-rh.patch

Conflicts:     net-tools  < 2.0-0.20140707git.4

%description
This package provides commands which can be used to display the system's
DNS name, and to display or set its hostname or NIS domain name.

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%patch -P 1 -p1 -b .rh

%build
%set_build_flags
%make_build

%install
make BASEDIR=%{buildroot} BINDIR=%{_bindir} install

install -m 0755 -d %{buildroot}%{_libexecdir}/%{name}
install -m 0755 -d %{buildroot}%{_unitdir}
install -m 0755 nis-domainname         %{buildroot}%{_libexecdir}/%{name}
install -m 0644 nis-domainname.service %{buildroot}%{_unitdir}


%post
%systemd_post nis-domainname.service
# Needs to work even if systemd is not available:
:

%preun
%systemd_preun nis-domainname.service
# Needs to work even if systemd is not available:
:

# NOTE: Nothing to do for upgrade (in postun), nis-domainname.service is oneshot.

%files
%doc COPYRIGHT gpl-2.0.txt
%{_bindir}/*
%{_mandir}/man1/*
%{_unitdir}/*
%{_libexecdir}/%{name}


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 3.23-5.mga10
+ Revision: 2127612
- Rebuild for patchN deprecation

* Fri Apr 05 2024 wally <wally> 3.23-4.mga10
+ Revision: 2054622
- basesystem rebuild for i686

* Thu Mar 24 2022 umeabot <umeabot> 3.23-3.mga9
+ Revision: 1824278
- Mageia 9 Mass Rebuild

* Tue Jul 28 2020 ovitters <ovitters> 3.23-2.mga8
+ Revision: 1609429
- move fedora-domainname from initscripts to this package and rename to nis-domainname

* Tue Jul 28 2020 ovitters <ovitters> 3.23-1.mga8
+ Revision: 1609393
- new version 3.23

* Fri Feb 14 2020 umeabot <umeabot> 3.21-2.mga8
+ Revision: 1521688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.21-1.mga7
+ Revision: 1346434
- 3.21

* Sun Sep 23 2018 umeabot <umeabot> 3.20-2.mga7
+ Revision: 1298204
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 3.20-1.mga7
+ Revision: 1213364
- Update to version 3.20

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.18-1.mga6
+ Revision: 1045489
- 3.18

* Mon May 09 2016 luigiwalser <luigiwalser> 3.17-1.mga6
+ Revision: 1011381
- 3.17

* Sun Jan 03 2016 luigiwalser <luigiwalser> 3.16-1.mga6
+ Revision: 918763
- 3.16

* Fri Aug 21 2015 tmb <tmb> 3.15-6.mga6
+ Revision: 867487
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.15-5.mga5
+ Revision: 739987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.15-4.mga5
+ Revision: 680161
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 spuhler <spuhler> 3.15-3.mga5
+ Revision: 673815
- made changes to Conflicts: as <= may not give the desired result

* Mon Sep 08 2014 spuhler <spuhler> 3.15-2.mga5
+ Revision: 673800
- added Conflicts: net-tools <= 2.0-0.20140707git.3

* Mon Sep 08 2014 spuhler <spuhler> 3.15-1.mga5
+ Revision: 673785
- corrected Group to Mageia spec
- adapted spec file from Fedora to Mageia
- imported package hostname

